#ifndef RTFUNCS_H
#define RTFUNCS_H

#include "reqtools_intern.h"

SAVEDS ASM struct IntReqToolsBase *RTFuncs_Init(REGPARAM(d0, struct IntReqToolsBase *,),
						REGPARAM(a0, BPTR, ));
SAVEDS ASM struct IntReqToolsBase *RTFuncs_Open(REGPARAM(a6, struct IntReqToolsBase *,),
						REGPARAM(d0, ULONG, ));
SAVEDS ASM BPTR RTFuncs_Close(REGPARAM(a6, struct IntReqToolsBase *, ));
SAVEDS ASM BPTR RTFuncs_Expunge(REGPARAM(a6, struct IntReqToolsBase *, ));
SAVEDS ASM int RTFuncs_Null(REGPARAM(a6, struct IntReqToolsBase *, ));

SAVEDS ASM struct ReqToolsPrefs *RTFuncs_LockPrefs(REGPARAM(a6, struct IntReqToolsBase *, ));
SAVEDS ASM void RTFuncs_UnlockPrefs(REGPARAM(a6, struct IntReqToolsBase *, ));

SAVEDS ASM ULONG RTFuncs_rtReqHandlerA(REGPARAM(a1, struct rtHandlerInfo *, ),
    	    	    	    	       REGPARAM(d0, ULONG, ),
				       REGPARAM(a0, struct TagItem *, ),
				       REGPARAM(a6, struct IntReqToolsBase *, IntReqToolsBase));

SAVEDS ASM void RTFuncs_rtSetWaitPointer(REGPARAM(a0, struct Window *, ),
					 REGPARAM(a6, struct IntReqToolsBase *, ));

SAVEDS ASM APTR RTFuncs_rtLockWindow(REGPARAM(a0, struct Window *, ),
				     REGPARAM(a6, struct IntReqToolsBase *, ));
SAVEDS ASM VOID RTFuncs_rtUnlockWindow(REGPARAM(a0, struct Window *, ),
    	    	    	    	       REGPARAM(a1, APTR, ),
				       REGPARAM(a6, struct IntReqToolsBase *, ));
SAVEDS ASM void RTFuncs_rtSpread(REGPARAM(a0, ULONG *, ),
    	    	    		 REGPARAM(a1, ULONG *, ),
				 REGPARAM(d0, ULONG, ),
				 REGPARAM(d1, ULONG, ),
				 REGPARAM(d2, ULONG, ),
				 REGPARAM(d3, ULONG, ));
SAVEDS ASM void RTFuncs_ScreenToFrontSafely(REGPARAM(a0, struct Screen *, ),
					    REGPARAM(a6, struct IntReqToolsBase *, ));
SAVEDS ASM void RTFuncs_rtSetReqPosition(REGPARAM(d0, ULONG, ),
    	    	    	    	    	REGPARAM(a0, struct NewWindow *, ),
					REGPARAM(a1, struct Screen *, ),
					REGPARAM(a2, struct Window *, ),
					REGPARAM(a6, struct IntReqToolsBase *, IntReqToolsBase));
SAVEDS ASM void RTFuncs_CloseWindowSafely(REGPARAM(a0, struct Window *,),
					  REGPARAM(a6, struct IntReqToolsBase *, ));


#endif /* RTFUNCS_H */
